Bug 1085415 (CVE-2014-2739) - CVE-2014-2739 Kernel: IB/core: crash while resolving passive side RoCE L2 address in cma req handler
Summary: CVE-2014-2739 Kernel: IB/core: crash while resolving passive side RoCE L2 add...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-2739
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1082033
TreeView+ depends on / blocked
 
Reported: 2014-04-08 14:32 UTC by Prasad J Pandit
Modified: 2019-09-29 13:15 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-16 13:24:09 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2014-04-08 14:32:33 UTC
Linux kernel built with the InfiniBand communication link(CONFIG_INFINIBAND)
along with the support for Remote Direct Memory Access(RDMA) over Convered
Ethernet(RoCE), is vulnerable to a crash caused by invalid memory access.
It occurs while trying to resolve RoCE L2 address on the server side.

A remote unprivileged user/program could use this flaw to crash the kernel,
resulting in DoS.

Upstream fix:
-------------
  -> http://git.kernel.org/linus/b2853fd6c2d0f383dbdf7427e263eb576a633867

Issue introduced by commit:
 -> https://git.kernel.org/linus/dd5f03beb4f76ae65d76d8c22a8815e424fc607c

Comment 2 Prasad J Pandit 2014-04-10 11:41:58 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.


Note You need to log in before you can comment on or make changes to this bug.